openssl (3.5.5-1ubuntu3) resolute; urgency=medium

  * SECURITY UPDATE: OpenSSL TLS 1.3 server may choose unexpected key
    agreement group
    - debian/patches/CVE-2026-2673.patch: fix group tuple handling in
      DEFAULT expansion in doc/man3/SSL_CTX_set1_curves.pod,
      ssl/t1_lib.c, test/tls13groupselection_test.c.
    - CVE-2026-2673
  * SECURITY UPDATE: NULL pointer dereference when processing an OCSP
    response
    - debian/patches/CVE-2026-28387.patch: dane_match_cert() should
      X509_free() on ->mcert instead of OPENSSL_free() in
      crypto/x509/x509_vfy.c.
    - CVE-2026-28387
  * SECURITY UPDATE: NULL Pointer Dereference When Processing a Delta CRL
    - debian/patches/CVE-2026-28388-1.patch: fix NULL Dereference When
      Delta CRL Lacks CRL Number Extension in crypto/x509/x509_vfy.c.
    - debian/patches/CVE-2026-28388-2.patch: Added test in test/*.
    - CVE-2026-28388
  * SECURITY UPDATE: Possible NULL dereference when processing CMS
    KeyAgreeRecipientInfo
    - debian/patches/CVE-2026-28389.patch: Fix NULL deref in
      [ec]dh_cms_set_shared_info in crypto/cms/cms_dh.c,
      crypto/cms/cms_ec.c.
    - CVE-2026-28389
  * SECURITY UPDATE: Possible NULL Dereference When Processing CMS
    KeyTransportRecipientInfo
    - debian/patches/CVE-2026-28390.patch: Fix NULL deref in
      rsa_cms_decrypt in crypto/cms/cms_rsa.c.
    - CVE-2026-28390
  * SECURITY UPDATE: Heap buffer overflow in hexadecimal conversion
    - debian/patches/CVE-2026-31789.patch: avoid possible buffer overflow
      in buf2hex conversion in crypto/o_str.c.
    - CVE-2026-31789
  * SECURITY UPDATE: Incorrect failure handling in RSA KEM RSASVE
    encapsulation
    - debian/patches/CVE-2026-31790-1.patch: validate RSA_public_encrypt()
      result in RSASVE in providers/implementations/kem/rsa_kem.c.
    - debian/patches/CVE-2026-31790-2.patch: test RSA_public_encrypt()
      result in RSASVE in test/evp_extra_test.c.
    - CVE-2026-31790

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 07 Apr 2026 08:05:56 -0400

openssl (3.5.5-1ubuntu2) resolute; urgency=medium

  [ Eric Berry ]
  * Rename crypto-Add-jitterentropy-fips-mode-detection.patch to
       crypto-add-userspace-fips-mode-detection.patch (LP: #2143932)

  [ Joao Gomes ]
  * Fallback to default provider when in FIPS mode and FIPS provider fails to
    load. (LP: #2141933)
    - d/p/fips/crypto-Fallback-to-default-provider-when-FIPS-provider.patch

 -- Ravi Kant Sharma <ravi.kant.sharma@canonical.com>  Mon, 16 Mar 2026 17:56:16 +0100

openssl (3.5.5-1ubuntu1) resolute; urgency=medium

  [ Eric Berry ]
  * Enable CPU jitter fluctuations
  * Detect FIPS jitterentropy mode and load jitterentropy enabled FIPS
    provider (LP: #2141941)

  [ Ravi Kant Sharma ]
  * Merge with Debian unstable (LP: #2141708). Remaining changes:
    - d/p/regex_match_ecp_nistp521-ppc64.patch
    - Use perl:native in the autopkgtest for installability on i386.
    - Symlink copyright/changelog.Debian.gz in libssl3* to libssl-dev/openssl
    - Disable LTO with which the codebase is generally incompatible
      (LP #2058017)
    - Default config reads crypto-config and /etc/ssl/openssl.cnf.d dropins
    - Don't enable or package anything FIPS (LP #2087955)
    - Match last filename for output in ecp_nistp521-ppc64.pl (LP #2137464)
    - Enable CPU jitter fluctuations
    - fips patches (debian/patches/fips):
      - crypto: Add kernel FIPS mode detection
      - crypto: Automatically use the FIPS provider...
      - apps/speed: Omit unavailable algorithms in FIPS mode
      - apps: pass -propquery arg to the libctx DRBG fetches
      - test: Ensure encoding runs with the correct context...
      - Add Ubuntu-specific defines to help FIPS certification (LP #2073991)
        + UBUNTU_OSSL_SELF_TEST_DESC_PCT_DH
        + UBUNTU_OSSL_PROV_FIPS_PARAM_UNAPPROVED_USAGE
      - Detect FIPS jitterentropy mode and load jitterentropy enabled FIPS
        provider
  * Refreshed patches
    - fips/test-Ensure-encoding-runs-with-the-correct-context-during.patch
    - fips/two-defines-for-fips-in-libssl-dev-headers.patch
    - fips/crypto-Automatically-use-the-FIPS-provider-when-the-kerne.patch

 -- Ravi Kant Sharma <ravi.kant.sharma@canonical.com>  Sun, 15 Feb 2026 14:56:21 +0100

openssl (3.5.5-1) unstable; urgency=medium

  * Import 3.5.5
   - CVE-2025-11187 (Improper validation of PBMAC1 parameters in PKCS#12 MAC
     verification)
   - CVE-2025-15467 (Stack buffer overflow in CMS AuthEnvelopedData parsing)
   - CVE-2025-15468 (NULL dereference in SSL_CIPHER_find() function on unknown
     cipher ID)
   - CVE-2025-15469 ("openssl dgst" one-shot codepath silently truncates inputs
     >16MB)
   - CVE-2025-66199 (TLS 1.3 CompressedCertificate excessive memory allocation)
   - CVE-2025-68160 (Heap out-of-bounds write in BIO_f_linebuffer on short
     writes)
   - CVE-2025-69418 (Unauthenticated/unencrypted trailing bytes with low-level
     OCB function calls)
   - CVE-2025-69419 (Out of bounds write in PKCS12_get_friendlyname() UTF-8
     conversion)
   - CVE-2025-69420 (Missing ASN1_TYPE validation in TS_RESP_verify_response()
     function)
   - CVE-2025-69421 (NULL Pointer Dereference in PKCS12_item_decrypt_d2i_ex
     function)
   - CVE-2026-22795 (Missing ASN1_TYPE validation in PKCS#12 parsing)
   - CVE-2026-22796 (ASN1_TYPE Type Confusion in the
   - PKCS7_digest_from_attributes() function)

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Tue, 27 Jan 2026 21:09:55 +0100

openssl (3.5.4-1ubuntu1) resolute; urgency=medium

  * Match last filename for output in ecp_nistp521-ppc64.pl (LP: #2137464)
    - d/p/regex_match_ecp_nistp521-ppc64.patch
  * Drop patches, merged upstream
    - d/p/CVE-2025-9230.patch
    - d/p/CVE-2025-9231-1.patch
    - d/p/CVE-2025-9231-2.patch
    - d/p/CVE-2025-9232.patch 
  * Merge with Debian unstable (LP: #2133492). Remaining changes:
    - Use perl:native in the autopkgtest for installability on i386.
    - Symlink copyright/changelog.Debian.gz in libssl3* to libssl-dev/openssl
    - Disable LTO with which the codebase is generally incompatible (LP #2058017)
    - Default config reads crypto-config and /etc/ssl/openssl.cnf.d dropins
    - Don't enable or package anything FIPS (LP #2087955)
    - Match last filename for output in ecp_nistp521-ppc64.pl (LP #2137464)
    - fips patches (debian/patches/fips):
      - crypto: Add kernel FIPS mode detection
      - crypto: Automatically use the FIPS provider...
      - apps/speed: Omit unavailable algorithms in FIPS mode
      - apps: pass -propquery arg to the libctx DRBG fetches
      - test: Ensure encoding runs with the correct context...
      - Add Ubuntu-specific defines to help FIPS certification (LP #2073991)
        + UBUNTU_OSSL_SELF_TEST_DESC_PCT_DH
        + UBUNTU_OSSL_PROV_FIPS_PARAM_UNAPPROVED_USAGE

 -- Ravi Kant Sharma <ravi.kant.sharma@canonical.com>  Thu, 08 Jan 2026 15:53:39 +0100

openssl (3.5.4-1) unstable; urgency=medium

  * Import 3.5.4
   - CVE-2025-9230 (Out-of-bounds read & write in RFC 3211 KEK Unwrap)
   - CVE-2025-9231 (Timing side-channel in SM2 algorithm on 64 bit ARM)
   - CVE-2025-9232 (Out-of-bounds read in HTTP client no_proxy handling)

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Tue, 30 Sep 2025 21:54:39 +0200

openssl (3.5.3-1ubuntu2) questing; urgency=medium

  * SECURITY UPDATE: Out-of-bounds read & write in RFC 3211 KEK Unwrap
    - debian/patches/CVE-2025-9230.patch: fix incorrect check of unwrapped
      key size in crypto/cms/cms_pwri.c.
    - CVE-2025-9230
  * SECURITY UPDATE: Timing side-channel in SM2 algorithm on 64 bit ARM
    - debian/patches/CVE-2025-9231-1.patch: use constant time modular
      inversion in crypto/ec/ecp_sm2p256.c.
    - debian/patches/CVE-2025-9231-2.patch: remove unused code in
      crypto/ec/ecp_sm2p256.c.
    - CVE-2025-9231
  * SECURITY UPDATE: Out-of-bounds read in HTTP client no_proxy handling
    - debian/patches/CVE-2025-9232.patch: add missing terminating NUL byte
      in crypto/http/http_lib.c.
    - CVE-2025-9232

 -- Hlib Korzhynskyy <hlib.korzhynskyy@canonical.com>  Tue, 30 Sep 2025 16:17:50 -0230

openssl (3.5.3-1ubuntu1) questing; urgency=medium

  * Merge with Debian unstable (LP: #2125443). Remaining changes:
    - Use perl:native in the autopkgtest for installability on i386.
    - Symlink copyright/changelog.Debian.gz in libssl3* to libssl-dev/openssl
    - Disable LTO with which the codebase is generally incompatible (LP #2058017)
    - Default config reads crypto-config and /etc/ssl/openssl.cnf.d dropins
    - Don't enable or package anything FIPS (LP #2087955)
    - fips patches (debian/patches/fips):
      - crypto: Add kernel FIPS mode detection
      - crypto: Automatically use the FIPS provider...
      - apps/speed: Omit unavailable algorithms in FIPS mode
      - apps: pass -propquery arg to the libctx DRBG fetches
      - test: Ensure encoding runs with the correct context...
      - Add Ubuntu-specific defines to help FIPS certification (LP #2073991)
        + UBUNTU_OSSL_SELF_TEST_DESC_PCT_DH
        + UBUNTU_OSSL_PROV_FIPS_PARAM_UNAPPROVED_USAGE

 -- Ravi Kant Sharma <ravi.kant.sharma@canonical.com>  Mon, 22 Sep 2025 22:35:44 +0200

openssl (3.5.3-1) unstable; urgency=medium

  * Import 3.5.3
  * Drop pic & Bsymbolic patches. This shouldn't be needed anymore.

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Wed, 17 Sep 2025 21:39:04 +0200

openssl (3.5.2-1ubuntu1) questing; urgency=medium

   * Merge with Debian unstable (LP: #2121799). Remaining changes:
    - Use perl:native in the autopkgtest for installability on i386.
    - Symlink copyright/changelog.Debian.gz in libssl3* to libssl-dev/openssl
    - Disable LTO with which the codebase is generally incompatible (LP #2058017)
    - Default config reads crypto-config and /etc/ssl/openssl.cnf.d dropins
    - Don't enable or package anything FIPS (LP #2087955)
    - fips patches (debian/patches/fips):
      - crypto: Add kernel FIPS mode detection
      - crypto: Automatically use the FIPS provider...
      - apps/speed: Omit unavailable algorithms in FIPS mode
      - apps: pass -propquery arg to the libctx DRBG fetches
      - test: Ensure encoding runs with the correct context...
      - Add Ubuntu-specific defines to help FIPS certification (LP #2073991)
        + UBUNTU_OSSL_SELF_TEST_DESC_PCT_DH
        + UBUNTU_OSSL_PROV_FIPS_PARAM_UNAPPROVED_USAGE
  * Patches refresh
    - d/p/fips/two-defines-for-fips-in-libssl-dev-headers.patch

 -- Ravi Kant Sharma <ravi.kant.sharma@canonical.com>  Mon, 01 Sep 2025 15:47:30 +0200

openssl (3.5.2-1) unstable; urgency=medium

  * Import 3.5.2

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Sun, 10 Aug 2025 11:30:37 +0200

openssl (3.5.1-1) unstable; urgency=medium

  * Import 3.5.1

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Sat, 12 Jul 2025 18:49:06 +0200

openssl (3.5.0-2ubuntu1) questing; urgency=medium

   * Merge with Debian unstable (LP: #2112457). Remaining changes:
    - Use perl:native in the autopkgtest for installability on i386.
    - Symlink copyright/changelog.Debian.gz in libssl3* to libssl-dev/openssl
    - Disable LTO with which the codebase is generally incompatible (LP #2058017)
    - Default config reads crypto-config and /etc/ssl/openssl.cnf.d dropins
    - Don't enable or package anything FIPS (LP #2087955)
    - fips patches (debian/patches/fips):
      - crypto: Add kernel FIPS mode detection
      - crypto: Automatically use the FIPS provider...
      - apps/speed: Omit unavailable algorithms in FIPS mode
      - apps: pass -propquery arg to the libctx DRBG fetches
      - test: Ensure encoding runs with the correct context...
      - Add Ubuntu-specific defines to help FIPS certification (LP #2073991)
        + UBUNTU_OSSL_SELF_TEST_DESC_PCT_DH
        + UBUNTU_OSSL_PROV_FIPS_PARAM_UNAPPROVED_USAGE
  * Patches refresh
    - d/p/fips/crypto-Automatically-use-the-FIPS-provider-when-the-kerne.patch
    - d/p/fips/two-defines-for-fips-in-libssl-dev-headers.patch
  * Dropped patch, merged upstream (LP #2096810)
    - s390x-Add-hardware-acceleration-for-full-AES-XTS.patch
  * Drop all post-3.4.1 upstream patches

 -- Ravi Kant Sharma <ravi.kant.sharma@canonical.com>  Wed, 04 Jun 2025 12:46:00 +0200

openssl (3.5.0-2) unstable; urgency=medium

  * Fix P-384 curve on lower-than-P9 PPC64 targets Closes: #1106516).
  * CVE-2025-4575 ("The x509 application adds trusted use instead of
    rejected use") (Closes: #1106322).

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Wed, 28 May 2025 22:13:00 +0200

openssl (3.5.0-1) unstable; urgency=medium

  * Import 3.5.0
  * Upload to unstable.

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Tue, 08 Apr 2025 21:15:30 +0200

openssl (3.5.0~~beta1-1) experimental; urgency=medium

  * Import 3.5.0-beta1.

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Wed, 26 Mar 2025 21:38:19 +0100

openssl (3.5.0~~alpha1-1) experimental; urgency=medium

  * Import 3.5.0-alpha1.
  * Remove usr/share/doc/libssl3 (Closes: #1098515).

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Wed, 12 Mar 2025 22:08:55 +0100

openssl (3.4.1-1ubuntu3) plucky; urgency=medium

  * Cherry-pick additional 3.4 fixes up to April 2:
    - post-3.4.1/*: refresh and add new upstream patches from git

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 03 Apr 2025 10:48:37 +0200

openssl (3.4.1-1ubuntu2) plucky; urgency=medium

  * Pull patches between 3.4.1 and 2025/02/17:
    - post-3.4.1/*: add upstream patches from git
    - SPARC-assembly-Don-t-file-aes-cbc-on-T4-with-small-sizes.patch:
      remove as it's included in the upstream patches

 -- Adrien Nader <adrien.nader@canonical.com>  Tue, 18 Mar 2025 10:07:41 +0100

openssl (3.4.1-1ubuntu1) plucky; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Use perl:native in the autopkgtest for installability on i386.
    - Symlink copyright/changelog.Debian.gz in libssl3* to libssl-dev/openssl
    - Disable LTO with which the codebase is generally incompatible (LP: #2058017)
    - Default config reads crypto-config and /etc/ssl/openssl.cnf.d dropins
    - Don't enable or package anything FIPS (LP: #2087955)
    - patch: crypto: Add kernel FIPS mode detection
    - patch: crypto: Automatically use the FIPS provider...
    - patch: apps/speed: Omit unavailable algorithms in FIPS mode
    - patch: apps: pass -propquery arg to the libctx DRBG fetches
    - patch: test: Ensure encoding runs with the correct context...
    - patch: Add Ubuntu-specific defines to help FIPS certification (LP: #2073991)
      + UBUNTU_OSSL_SELF_TEST_DESC_PCT_DH
      + UBUNTU_OSSL_PROV_FIPS_PARAM_UNAPPROVED_USAGE
  * Remove now-unneeded work-around for m2crypto as discussed in #1091133
  * patch: add CPACF instruction usage for AES-XTS (LP: #2096810)

 -- Adrien Nader <adrien.nader@canonical.com>  Wed, 12 Feb 2025 10:21:22 +0100

openssl (3.4.1-1) unstable; urgency=medium

  * Import 3.4.1
  - CVE-2024-12797 (RFC7250 handshakes with unauthenticated servers don't
    abort as expected) (Closes: #1095765).
  - CVE-2024-13176 (Timing side-channel in ECDSA signature computation)
    (Closes: #1094027).
  - Compile on LoongArch again (Closes: #1092307).

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Tue, 11 Feb 2025 21:30:30 +0100

openssl (3.4.0-2) unstable; urgency=medium

  * Disable padlockeng on non-x86 architectures.
  * Upload to unstable.

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Mon, 06 Jan 2025 19:01:42 +0100

openssl (3.4.0-1ubuntu2) plucky; urgency=medium

  * d/p/fips/crypto-Automatically-use-the-FIPS-provider-when-the-kerne.patch:
    Extend the patch to print the error encounted when a fallback
    provider fails loading, e.g. due to FIPS auto-loading (LP: #2066990)
  * d/p/Revert-When-defining-ossl_ssize_t-ssize_t-remember-t.patch:
    Work-around SWIG using different feature flag defines than GCC and
    parsing sys/select.h differently. (LP: #2091883)

 -- Adrien Nader <adrien.nader@canonical.com>  Thu, 19 Dec 2024 16:12:42 +0100

openssl (3.4.0-1ubuntu1) plucky; urgency=medium

  * Merge with Debian unstable (LP: #2044795). Remaining changes:
    - Use perl:native in the autopkgtest for installability on i386.
    - Symlink copyright/changelog.Debian.gz in libssl3* to libssl-dev/openssl
    - Disable LTO with which the codebase is generally incompatible (LP: #2058017)
    - Default config reads crypto-config and /etc/ssl/openssl.cnf.d dropins
    - patch: crypto: Add kernel FIPS mode detection
    - patch: crypto: Automatically use the FIPS provider...
    - patch: apps/speed: Omit unavailable algorithms in FIPS mode
    - patch: apps: pass -propquery arg to the libctx DRBG fetches
    - patch: test: Ensure encoding runs with the correct context...
    - patch: Add Ubuntu-specific defines to help FIPS certification (LP: #2073991)
      + UBUNTU_OSSL_SELF_TEST_DESC_PCT_DH
      + UBUNTU_OSSL_PROV_FIPS_PARAM_UNAPPROVED_USAGE
    Dropped, merged upstream:
    - debian/patches/CVE-2024-6119.patch: avoid type errors in EAI-related
      name check logic in crypto/x509/v3_utl.c, test/*.
  * Don't enable or package anything FIPS (LP: #2087955)

 -- Adrien Nader <adrien.nader@canonical.com>  Fri, 29 Nov 2024 11:19:56 +0100

openssl (3.4.0-1) experimental; urgency=medium

  * Import 3.4.0
  - CVE-2024-9143 (Low-level invalid GF(2^m) parameters lead to OOB memory
    access) (Closes: #1085378).

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Wed, 23 Oct 2024 21:18:43 +0200

openssl (3.4.0~~beta1-2) experimental; urgency=medium

  * Add a patch to avoid using other memory allocations if custom malloc is
    provided.
  * Add a patch to check length in the SPARC assembly implementation of
    AES-CBC.

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Sun, 13 Oct 2024 22:07:10 +0200

openssl (3.4.0~~beta1-1) experimental; urgency=medium

  * Import 3.4.0-beta1

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Mon, 07 Oct 2024 23:03:28 +0200

openssl (3.3.2-1) unstable; urgency=medium

  * Import 3.3.2.
    - CVE-2024-6119 (Possible denial of service in X.509 name checks).
    - CVE-2024-5535 (SSL_select_next_proto buffer overread)
      (Closes: #1074487).

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Tue, 03 Sep 2024 21:43:24 +0200

openssl (3.3.1-7) unstable; urgency=medium

  * Make libssl3t64 depend on openssl-provider-legacy (See further development
    in #965041).

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Mon, 19 Aug 2024 23:38:33 +0200

openssl (3.3.1-6) unstable; urgency=medium

  [ Sebastian Andrzej Siewior ]
  * Enable ec_nistp_64_gcc_128 on arm64, ppc64el, riscv64. Initially suggested
    by Joel Stanley.
  * Add a "prefix" for pkg-config and cmake exporter
    (Closes: #1078509, #1078020).
  * Add Breaks/ Replaces to the legacy provider also against libssl3
    (Closes: #1078551).
  * Upload to unstable.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Fix day-of-week for changelog entries 0.9.8a-7, 0.9.8a-6, 0.9.8a-4.

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Tue, 13 Aug 2024 21:39:36 +0200

openssl (3.3.1-5) experimental; urgency=medium

  * Split the legacy provider into its own package (Closes: #965041).
  * Add the FIPS provider (Closes: #1050210).
  * Reintroduce the provider section back in the default openssl.cnf. This is
    was to keep compatibility with the openssl 1.1 series. Adding makes it
    easier to add/ enable provides such as fips.

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Sun, 04 Aug 2024 23:22:06 +0200

openssl (3.3.1-2ubuntu2) oracular; urgency=medium

  * SECURITY UPDATE: Possible denial of service in X.509 name checks
    - debian/patches/CVE-2024-6119.patch: avoid type errors in EAI-related
      name check logic in crypto/x509/v3_utl.c, test/*.
    - CVE-2024-6119
  * Add Ubuntu-specific defines to help FIPS certification (LP: #2073991)
    - UBUNTU_OSSL_SELF_TEST_DESC_PCT_DH
    - UBUNTU_OSSL_PROV_FIPS_PARAM_UNAPPROVED_USAGE

 -- Adrien Nader <adrien.nader@canonical.com>  Wed, 11 Sep 2024 16:09:42 +0200

openssl (3.3.1-2ubuntu1) oracular; urgency=medium

  * Merge with Debian unstable (LP: #2044795). Remaining changes:
    - Use perl:native in the autopkgtest for installability on i386.
    - Symlink copyright/changelog.Debian.gz in libssl3* to libssl-dev/openssl
    - Disable LTO with which the codebase is generally incompatible (LP #2058017)
    - Default config reads crypto-config and /etc/ssl/openssl.cnf.d dropins
    - patch: crypto: Add kernel FIPS mode detection
    - patch: crypto: Automatically use the FIPS provider...
    - patch: apps/speed: Omit unavailable algorithms in FIPS mode
    - patch: apps: pass -propquery arg to the libctx DRBG fetches
    - patch: test: Ensure encoding runs with the correct context...
    - SECURITY UPDATE: crash or memory disclosure via SSL_select_next_proto
      - debian/patches/CVE-2024-5535*.patch: validate provided client list in
        ssl/ssl_lib.c.
      - CVE-2024-5535

 -- Simon Chopin <schopin@ubuntu.com>  Mon, 12 Aug 2024 13:49:56 +0200

openssl (3.3.1-2) unstable; urgency=medium

  * Upload to unstable.
  * Add support for hurd-amd64, patch by Samuel Thibault (Closes: #1076324).
  * Use the static archive from the shared build.

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Sat, 03 Aug 2024 16:17:50 +0200

openssl (3.3.1-1) experimental; urgency=medium

  * Import 3.3.1.
    - CVE-2024-4603 (Excessive time spent checking DSA keys and parameters)
      (Closes: #1071972).
    - CVE-2024-4741 (Use After Free with SSL_free_buffers)
      (Closes: #1072113).

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Tue, 04 Jun 2024 18:37:30 +0200

openssl (3.3.0-1) experimental; urgency=medium

  * Import 3.3.0.
    - CVE-2024-2511 (Unbounded memory growth with session handling in TLSv1.3)
      (Closes: #1068658).

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Thu, 11 Apr 2024 21:49:45 +0200

openssl (3.3.0~beta1-1) experimental; urgency=medium

  * Import 3.3.0-beta1.

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Fri, 05 Apr 2024 23:09:03 +0200

openssl (3.2.2-1ubuntu3) oracular; urgency=medium

  * Added extra commits to previous upload to fix FTBFS in quic tests
    - debian/patches/CVE-2024-5535-2.patch: more correctly handle a
      selected_len of 0 when processing NPN in ssl/statem/extensions_clnt.c.
    - debian/patches/CVE-2024-5535-3.patch: use correctly formatted ALPN
      data in tserver in ssl/quic/quic_tserver.c.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 02 Aug 2024 07:41:40 -0400

openssl (3.2.2-1ubuntu2) oracular; urgency=medium

  * SECURITY UPDATE: crash or memory disclosure via SSL_select_next_proto
    - debian/patches/CVE-2024-5535.patch: validate provided client list in
      ssl/ssl_lib.c.
    - CVE-2024-5535

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 31 Jul 2024 13:16:18 -0400

openssl (3.2.2-1ubuntu1) oracular; urgency=medium

  * Merge 3.2.2-1 from Debian unstable
    - Remaining changes:
      + Symlink changelog.Debian.gz and copyright.gz from libssl-dev and
        openssl to the ones in libssl3t64
      + Use perl:native in the autopkgtest for installability on i386.
      + Disable LTO with which the codebase is generally incompatible
        (LP: #2058017)
      + Add fips-mode detection and adjust defaults when running in fips mode
  * The changelog.gz symlink was broken (LP: #1297025)
  * The copyright symlink was broken (LP: #2067672)
  * Default configuration includes two paths:
    - /var/lib/crypto-config/profiles/current/openssl.conf.d
    - /etc/ssl/openssl.conf.d
    First one is to read configuration through the crypto-config framework.
    Second one is for customization by sysadmin.

 -- Adrien Nader <adrien.nader@canonical.com>  Mon, 01 Jul 2024 17:04:32 +0200

openssl (3.2.1-3ubuntu1) oracular; urgency=medium

  * Merge 3.2.1-3 from Debian unstable (LP: #2067384)
    - Remaining changes:
      + Symlink changelog{,.Debian}.gz and copyright.gz from libssl-dev to
        openssl
      + Use perl:native in the autopkgtest for installability on i386.
      + Disable LTO with which the codebase is generally incompatible
        (LP: #2058017)
      + Add fips-mode detection and adjust defaults when running in fips mode
    - Dropped changes:
      + d/libssl3.postinst: Revert Debian deletion
        - Skip services restart & reboot notification if needrestart is in-use.
        - Bump version check to 1.1.1 (bug opened as LP: #1999139)
        - Use a different priority for libssl1.1/restart-services depending
          on whether a desktop, or server dist-upgrade is being performed.
        - Import libraries/restart-without-asking template as used by above.
      + Add support for building with noudeb build profile which has been
        integrated
      + Patches that forbade TLS < 1.2 @SECLEVEL=2 which is now upstream
        behaviour:
        - skip_tls1.1_seclevel3_tests.patch
        - tests-use-seclevel-1.patch
        - tls1.2-min-seclevel2.patch
      + Revert the provider removal from the default configuration as there's
        no point in carrying the delta (will see if Debian drops the patch)
      + d/p/intel/*: was a backport from upstream changes
      + d/p/CVE-*: was a backport from upstream changes

 -- Adrien Nader <adrien.nader@canonical.com>  Tue, 28 May 2024 14:30:44 +0200

openssl (3.2.1-3) unstable; urgency=medium

  * Upload to unstable.
  * Correct prvious security level in NEWS file (Closes: #1066116).

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Thu, 04 Apr 2024 22:00:04 +0200

openssl (3.2.1-2) experimental; urgency=medium

  * Disable brotli and enable zlib for certificate compression.
  * Update to latest openssl-3.2 branch.

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Thu, 22 Feb 2024 21:41:18 +0100

openssl (3.2.1-1.1~exp1) experimental; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.

 -- Steve Langasek <vorlon@debian.org>  Mon, 19 Feb 2024 07:33:51 +0000

openssl (3.2.1-1) experimental; urgency=medium

  * Import 3.2.1
   - CVE-2024-0727 (PKCS12 Decoding crashes). (Closes: #1061582).
   - CVE-2023-6237 (Excessive time spent checking invalid RSA public keys)
     (Closes: #1060858).
   - CVE-2023-6129 (POLY1305 MAC implementation corrupts vector registers on
     PowerPC) (Closes: #1060347).

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Sat, 03 Feb 2024 17:23:00 +0100

openssl (3.2.0-2) experimental; urgency=medium

  * Use generic target for riscv64.
  * Update to latest openssl-3.2 branch.

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Thu, 14 Dec 2023 21:13:53 +0100

openssl (3.2.0-1) experimental; urgency=medium

  * Import 3.2.0
  * Enable zstd, brotli and for certificate compression.

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Sun, 26 Nov 2023 13:37:14 +0100

openssl (3.1.4-2) unstable; urgency=medium

  * Invoke clean up from the openssl binary as a temporary workaround to avoid
    a crash in libp11/SoftHSM engine (Closes: #1054546).
  * CVE-2023-5678 (Excessive time spent in DH check / generation with large Q
    parameter value) (Closes: #1055473).
  * Upload to unstable.

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Sat, 25 Nov 2023 21:35:59 +0100

openssl (3.1.4-1) experimental; urgency=medium

  * Import 3.1.4
   - CVE-2023-5363 (Incorrect cipher key and IV length processing).

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Tue, 24 Oct 2023 21:58:49 +0200

openssl (3.1.3-1) experimental; urgency=medium

  * Import 3.1.3

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Tue, 19 Sep 2023 18:57:49 +0200

openssl (3.1.2-1) experimental; urgency=medium

  * Import 3.1.2
   - CVE-2023-2975 (AES-SIV implementation ignores empty associated data
     entries) (Closes: #1041818).
   - CVE-2023-3446 (Excessive time spent checking DH keys and parameters).
     (Closes: #1041817).
   - CVE-2023-3817 (Excessive time spent checking DH q parameter value).
   - Drop bc and m4 from B-D.

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Tue, 01 Aug 2023 22:51:25 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog libssl3t64`.
